Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoRangePosition Class Reference

## Description

Represents a range position tool.

Note
  Supported with G1

Inheritance diagram for GoRangePosition:

## Public Member Functions
GoRangePositionZ | GoRangePosition_ZMeasurement (GoRangePosition tool)
| Returns a range position tool Z measurement object. More...
kBool | GoRangeThickness_AbsoluteEnabled (GoRangeThickness tool)
| Returns a boolean value representing whether or not the measurement is set to return an absolute value. More...
kStatus | GoRangeThickness_EnableAbsolute (GoRangeThickness tool, kBool enable)
| Enable or disable absolute value measurement output. More...
kStatus | GoRangeTool_SetSource (GoRangeTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoRangeTool_SetStream (GoRangeTool tool, GoDataStream stream)
| Sets the data stream. More...
GoDataSource | GoRangeTool_Source (GoRangeTool tool)
| Gets the data source. More...
GoDataSource | GoRangeTool_SourceOptionAt (GoRangeTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoRangeTool_SourceOptionCount (GoRangeTool tool)
| Gets the data source option list count. More...
GoDataStream | GoRangeTool_Stream (GoRangeTool tool)
| Gets the data stream. More...
GoDataStream | GoRangeTool_StreamOptionAt (GoRangeTool tool, kSize index)
| Gets the data stream option at the given index. More...
kSize | GoRangeTool_StreamOptionCount (GoRangeTool tool)
| Gets the data stream option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
kStatus | GoTool_AddFeatureOutput (GoTool tool, kType type, GoFeature *featureOutput)
| Adds the given feature output to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearFeatureOutputs (GoTool tool)
| Removes all feature outputs for the given tool. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureType type)
| Retrieves the instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
k32s | GoTool_Id (GoTool tool)
| Retrieves the id of the instance of the tool. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveFeatureOutput (GoTool tool, kSize index)
| Removes a feature output at a given index. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoRangeTools.h